POST
/v1/mgmt/user/trusteddevices/list

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

identifiers?array<string>
string

The users' login identifiers (external ID or ID).

List trusted devices for one or more users.

curl -X POST "https://api.descope.com/v1/mgmt/user/trusteddevices/list" \  -H "Content-Type: application/json" \  -d '{}'
{  "devices": [    {      "id": "string",      "name": "string",      "deviceType": "string",      "userId": "string",      "lastLoginTime": "string",      "expirationTime": "string",      "lastLocation": "string",      "isCurrentDevice": true    }  ]}
export interface Response {devices?: TrustedDevice[]}/** * expands userv1.TrustedDevice with isCurrentDevice */export interface TrustedDevice {id?: stringname?: stringdeviceType?: stringuserId?: stringlastLoginTime?: stringexpirationTime?: stringlastLocation?: stringisCurrentDevice?: boolean}
Was this helpful?